Bug 75670 - configure fails to find Akonadi/Collection
Summary: configure fails to find Akonadi/Collection
Status: RESOLVED FIXED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: 1.4
Hardware: Other All
: medium normal
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-02 11:23 UTC by Niels Ole Salscheider
Modified: 2014-04-01 13:33 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
configure log (67.92 KB, text/plain)
2014-03-02 11:23 UTC, Niels Ole Salscheider
Details
Proposed patch (977 bytes, patch)
2014-03-02 12:25 UTC, Niels Ole Salscheider
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Niels Ole Salscheider 2014-03-02 11:23:01 UTC
Created attachment 94960 [details]
configure log

When I try to build SyncEvolution 1.4 with the akonadi backend, I get the following error:

checking Akonadi/Collection usability... no
checking Akonadi/Collection presence... no
checking for Akonadi/Collection... no
configure: error: akonadi.pc not found. Install it to compile with the Akonadi backend enabled.

"kde4-config --path include" gives "/usr/include/" and "/usr/include/KDE/Akonadi/Collection" exists.

The problem seems to be that path to the QString include file is missing in CPPFLAGS:

configure:21857: checking Akonadi/Collection presence
configure:21857: g++ -E  -I/usr/include/ -I/usr/include//KDE -I/usr/include/qt4 conftest.cpp
In file included from /usr/include//KDE/Akonadi/../../akonadi/collection.h:25:0,
                 from /usr/include//KDE/Akonadi/Collection:1,
                 from conftest.cpp:44:
/usr/include/akonadi/entity.h:24:19: fatal error: QString: No such file or directory
 #include <QString>
                   ^
compilation terminated.

I have attached the configure log.
Comment 1 Niels Ole Salscheider 2014-03-02 12:25:51 UTC
Created attachment 94964 [details] [review]
Proposed patch

This patch solves the problem for me.
Comment 2 Patrick Ohly 2014-03-05 11:21:13 UTC
Thanks for the report and the patch. I have committed it to the git repo.
Comment 3 Patrick Ohly 2014-04-01 13:33:34 UTC
Fix is in master and SyncEvolution 1.4.1 (currently available as individual download and from the "unstable" repo on syncevolution.org).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.